
Redmine - Defect #17581

Drag & Drop does not work with Safari 5.1

2014-07-29 16:15 - fred bregar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 2.4.7   

Resolution: Fixed Affected version: 2.5.2

Description

see #13932-13 - i would have re-opened but i do not have permission

Related issues:

Related to Redmine - Defect #13932: File upload does not work with Safari Closed

Associated revisions

Revision 13346 - 2014-08-26 03:17 - Toshi MARUYAMA

fix Drag & Drop does not work with Safari 5.1 (#17581, #13932)

Contributed by fred bregar.

Revision 13348 - 2014-08-26 06:58 - Toshi MARUYAMA

Merged r13346 from trunk to 2.5-stable (#17581, #13932)

fix Drag & Drop does not work with Safari 5.1.

Contributed by fred bregar.

Revision 13349 - 2014-08-26 07:01 - Toshi MARUYAMA

Merged r13346 from trunk to 2.4-stable (#17581, #13932)

fix Drag & Drop does not work with Safari 5.1.

Contributed by fred bregar.

Revision 13404 - 2014-09-14 15:44 - Toshi MARUYAMA

stricter check of uploading attachments (#17581)

Contributed by fred bregar.

Revision 13405 - 2014-09-14 16:13 - Toshi MARUYAMA

Merged r13404 from trunk to 2.5-stable (#17581)

stricter check of uploading attachments.

Contributed by fred bregar.

Revision 13406 - 2014-09-14 16:14 - Toshi MARUYAMA

Merged r13404 from trunk to 2.4-stable (#17581)

stricter check of uploading attachments.

Contributed by fred bregar.

History

#1 - 2014-08-10 15:09 - Toshi MARUYAMA

- Category set to Attachments

- Target version set to 2.4.7
#2 - 2014-08-10 15:09 - Toshi MARUYAMA

- Related to Defect #13932: File upload does not work with Safari added

#3 - 2014-08-26 09:34 - Etienne Massip

Why remove the 'FileReader' in window test?

#4 - 2014-09-01 10:31 - Toshi MARUYAMA

Etienne Massip wrote:

Why remove the 'FileReader' in window test?

 fred, could you give us the answer?

#5 - 2014-09-05 22:40 - fred bregar

FileReader is not needed. (Search repo for FileReader)

Checking for FileReader was simply a hack for Safari 5.1 to return false. FileReader is for actually reading a file in a browser (like dragging a text file

into the browser and creating a <textarea> tag and displaying contents of the file). Redmine is not reading the contents of the File, just uploading it.

a better test would be:

if ($.ajaxSettings.xhr().upload && inputEl.files)

//but this instantiates a new XMLHttpRequest object and does nothing with it.

 but like i said (#13932-13) the real problem is jQuery. jQuery was amazing, but unless you need to support IE8 and below there is really no need for it

these days.

#6 - 2014-09-14 19:32 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk, 2.5-stable and 2.4-stable, thanks.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

https://www.redmine.org/issues/13932#note-13
http://www.tcpdf.org

